#! /usr/bin/rpm
%define name	lsvpd
%define version 0.16.0
%define release 1
Summary:	VPD/hardware inventory utilities for Linux.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System Environment
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	/bin/bash, /bin/sh, /bin/sed
#Requires:	/bin/bash, /bin/sh, /bin/sed, sg3_utils >= 1.01, busybox >= 0.60.3-0.1

%description
The lsvpd package contains both the lsvpd, lscfg and lsmcode
commands. These commands, along with a boot-time scanning script
called update-lsvpd-db, constitute a simple hardware inventory
system. The lsvpd command provides Vital Product Data (VPD) about
hardware components to higher-level serviceability tools. The lscfg
command provides a more human-readable format of the VPD, as well as
some system-specific information.  lsmcode lists microcode and
firmware levels.

%prep
%setup -q

%build
make CC=%__cc

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/init.d/
install -m 755 debian/init.d $RPM_BUILD_ROOT/etc/init.d/lsvpd
# Don't install this right now.  It can crash systems.
rm -f $RPM_BUILD_ROOT/lib/lsvpd/pci_vpd_rom_grab

mkdir -p $RPM_BUILD_ROOT/etc/cron.daily/
install -m 755 debian/cron.daily $RPM_BUILD_ROOT/etc/cron.daily/lsvpd

%post

# Red Hat:
if [ -x /sbin/chkconfig ] ; then
    /sbin/chkconfig --add lsvpd
fi

# SuSE:
if [ -x /sbin/insserv ] ; then
    # OK, this should probably be boot.lsvpd, but we're not going to
    # do that on Red Hat too :-(
    sbin/insserv etc/init.d/lsvpd
fi

if [ ! -h /lib/lsvpd/find -a -x /sbin/busybox ] ; then
    ln -s /sbin/busybox /lib/lsvpd/find
fi

### update-lsvpd-db

%preun

rm -f /lib/lsvpd/find

# Red Hat:
if [ $1 = 0 ] ; then
    if [ -x /sbin/chkconfig ] ; then
        /sbin/chkconfig --del lsvpd
    fi
fi

%postun

# SuSE:
if [ -x /sbin/insserv ] ; then
     sbin/insserv etc/init.d
fi

%files 
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README TODO
%doc docs/design.xml docs/design.html docs/install.xml docs/install.html
/sbin/lsvpd
/sbin/lscfg
/sbin/lsmcode
/sbin/lsvio
/sbin/update-lsvpd-db
/lib/lsvpd
/etc/init.d/lsvpd
/etc/cron.daily/lsvpd
%{_mandir}/man8/*
