#ifndef ADAPTER_PCI_LEGACY_H
#define ADAPTER_PCI_LEGACY_H

/*
  adapter_pci_legacy - Get PCI (and other) information for adapters.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2004, 2005, 2006
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: adapter_pci_legacy.h,v 1.1.1.1 2013/09/12 09:32:49 bpeters Exp $
*/
  
#include <stdint.h>

#define PCI_ETHERNET_HWADDR_LEN 6

typedef struct adapter_pci_info {
	uint16_t                 class;
	char *                   name;
	uint32_t                 dom;
	uint8_t                  bus;
	uint8_t                  dev;
	uint8_t                  fun;
	uint16_t                 irq;
	// FIXME: use a union here.
	uint8_t                  ide_channel;
	const char *             scsi_driver;
	uint64_t                 eth_mem_start;
	uint64_t                 eth_mem_end;
	char                     eth_fw_version[32];
	unsigned char            eth_hwaddr[PCI_ETHERNET_HWADDR_LEN];
	struct adapter_pci_info * next;
} adapter_pci_info_t;

#define ADAPTER_PCI_NODOM 0xffffffff

typedef adapter_pci_info_t *
adapter_pci_gatherer_t(void);

#endif
