#ifndef ADAPTER_PCI_LOOKUP_H
#define ADAPTER_PCI_LOOKUP_H

/*
  adapter_pci_lookup - Lookup PCI vendors and devices in pci.ids
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2002, 2003, 2004, 2005, 2006
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: adapter_pci_lookup.h,v 1.1.1.1 2013/09/12 09:32:49 bpeters Exp $
*/
  
#include <stdbool.h>

extern bool
adapter_pci_lookup(const char * filename,
		   const char * vendor_id,
		   const char * device_id,
		   const char * subvendor_id,
		   const char * subdevice_id,
		   char ** vendor_string,
		   char ** device_string,
		   char ** subvendor_string,
		   char ** subdevice_string);

#endif
